> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Auth Provider

> Enable, disable, or configure an app sign-in provider.



## OpenAPI

````yaml PUT /orgs/{org_id}/projects/{project_id}/auth/providers/{provider}
openapi: 3.1.0
info:
  title: Timbal Platform API
  description: Public API documentation for the Timbal platform
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.timbal.ai
    description: Production
  - url: https://api.dev.timbal.ai
    description: Development
security: []
tags:
  - name: ace
    description: Action Control Engine (ACE) operations
  - name: analytics
    description: Project analytics
  - name: billing
    description: Subscriptions, usage, and payment-related operations
  - name: content
    description: Re-sign stored content URLs
  - name: files
    description: File operations
  - name: iam
    description: IAM — actions, roles, users, and authorization introspection
  - name: k2
    description: Knowledge Bases v2 operations
  - name: orgs
    description: Organization operations
  - name: projects
    description: Project operations
  - name: runs
    description: Execution operations
  - name: templates
    description: Public project template catalog
  - name: users
    description: Authenticated user profile
paths:
  /orgs/{org_id}/projects/{project_id}/auth/providers/{provider}:
    put:
      tags:
        - projects
      description: Enable, disable, or configure an app sign-in provider.
      operationId: handler
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: provider
          in: path
          description: >-
            Sign-in method key (for example `email`, `google`, `microsoft`,
            `github`).
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PutAuthProviderReqBody'
        required: true
      responses:
        '204':
          description: Provider updated
          content:
            application/json:
              schema:
                type: 'null'
                description: Successful responses use HTTP 204 and do not include a body.
        '400':
          description: Unknown provider key
        '403':
          description: Insufficient permissions
      security:
        - bearer_auth: []
components:
  schemas:
    PutAuthProviderReqBody:
      type: object
      description: Body for `PUT …/auth/providers/{provider}` — upsert one sign-in method.
      required:
        - enabled
      properties:
        enabled:
          type: boolean
          description: Turn the sign-in method on or off.
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Timbal API key. Obtain your API key from the Timbal platform settings.
        See [Authentication](/api-reference/authentication) for more
        information.

````